#!/usr/local/bin/perl

# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
#
# SPPDレンタルサーバー フォームメールCGI Ver1.15 パスワード変更
# (C) 2004-2017 Playing Network ,INC. All Rights Reserved.
# Programmed By Yasushi Toguchi
# 
# 著作権は株式会社プレイングネットワークに帰属します。
#
# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

sub change_passwd
{
	my($layout) = $template_files."change_passwd.html";

	if($ENV{'REQUEST_METHOD'} eq "POST")
	{
		if($form{'change_passwd'} !~ /^[\w\-\@=]{6,16}$/)
		{
			&ErrorMessage('パスワードを半角英数字記号で 6～16文字の間で指定してください。');
		}

		if($form{'change_passwd'} ne $form{'change_passwd2'})
		{
			&ErrorMessage('パスワードが一致しません。');
		}

		$form{'change_passwd'} = crypt($form{'change_passwd'}, $salt);
		open(PASS_CH,">$passwdfile");
		print PASS_CH "$form{'change_passwd'}\n";
		close(PASS_CH);

		$message = 'パスワードを変更しました。';

		print "Location: ./index.cgi?changed=yes\n";
		print "Set-Cookie: sppdfmuser=$form{'change_passwd'};\n\n";
		exit;
	}
	else
	{
		$message = "";
	}

	print "Content-type: text/html\n\n";
	open(HTML,"$layout");
	while(<HTML>)
	{
		s/\%MESSAGE\%/$message/g;
		print;
	}

	exit;
}
1
