#!/usr/local/bin/perl

# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
#
# SPPDレンタルサーバー フォームメールCGI Ver1.15 ログイン
# (C) 2004-2017 Playing Network ,INC. All Rights Reserved.
# Programmed By Yasushi Toguchi
# 
# 著作権は株式会社プレイングネットワークに帰属します。
#
# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=


#--------#
# ■設定 #
#--------#
my $login_html = $template_files."login.html";
my $new_passwd_html = $template_files."new_passwd.html";
my $Message;

#----------------------#
# ■パスワード未設定時 #
#----------------------#
if($passwdfile && (!-f $passwdfile || -s $passwdfile == 0))
{
	if($ENV{'REQUEST_METHOD'} eq "POST")
	{
		if($form{'new_passwd'} !~ /^[\w\-\@=]{6,16}$/)
		{
			$Message .= '【エラー】：パスワードを&nbsp; (半角英数字、- * @ =) &nbsp;の6～16文字で記入してください<br>';
		}
		elsif ($form{'new_passwd'} ne $form{'new_passwd2'}) {
			$Message .= '【エラー】：新しいパスワードと確認用パスワードが一致しません<br>';
		}
		if(!$Message)
		{
			$form{'new_passwd'} = crypt($form{'new_passwd'}, $salt);
			open(PASS_CH,">$passwdfile");
			print PASS_CH "$form{'new_passwd'}\n";
			close(PASS_CH);
			print "Location: ./index.cgi\n";
			print "Set-Cookie: sppdfmuser=$form{'new_passwd'};\n\n";
			exit;
		}
	}

	print "Content-type: text/html\n\n";
	open(TEMPLATE,"$new_passwd_html");
	while(<TEMPLATE>)
	{
		s/\%MESSAGE\%/$Message/g;
		print;
	}
	close(TEMPLATE);
	exit;
}

#------------------#
# ■パスワード取得 #
#------------------#
open(PASSWD,"$passwdfile");
my($passwd) = <PASSWD>;
close(PASSWD);
chop($passwd);

#----------------#
# ■ログイン失敗 #
#----------------#
if($passwd ne $cookie{'sppdfmuser'} || !$passwd)
{
	print "Content-type: text/html\n\n";

	if ($url{'mes'} eq "failed")
	{
		$Message = '<b>【エラー】</b>：入力されたパスワードが間違っています。';
	}

	open(HTML,"$login_html");
	while(<HTML>)
	{
		s/\%MESSAGE\%/$Message/g;
		print;
	}
	close(HTML);
	exit;
}
1